Subject: LRO: Series Gas Mileage

From: "KURT W. KRAUSS" <[email-masked]>
Date: Thu, 24 May 2001 07:39:43 -0400

I'd like to hear what others are experiencing as to gas mileage and
travel range on their Series vehicles.  I seem to be able to travel only
about 100 miles between fill ups on my 1973 SIII with a (incorrect)
Solex carb from the prior owner.  There are no gas leaks.  Some of you
may recall that this was the vehicle that was backfiring (popping)
during deceleration and I complained about smoking during start up.
Subsequently, valve seals were replaced, so no more smoking and timing
was set and a new set of plugs were installed.  In any event, it appears
that I'm only getting about 11-12 mpg and with a 10 gallon tank, I can
see why so many jerry cans and auxiliary tanks are sold.  I do burn
hi-test with a lead substitute.
Thanks for input.
Kurt W. Krauss
73 NAS SIII